# Uses of Interface
java.util.function.LongPredicate

Packages that use LongPredicate
Package
Description
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of LongPredicate in java.util.function

  Methods in java.util.function that return LongPredicate
  Modifier and Type
  Method
  Description
  `default LongPredicate`
  LongPredicate.`and(LongPredicate other)`
  Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
  `default LongPredicate`
  LongPredicate.`negate()`
  Returns a predicate that represents the logical negation of this predicate.
  `default LongPredicate`
  LongPredicate.`or(LongPredicate other)`
  Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.
  Methods in java.util.function with parameters of type LongPredicate
  Modifier and Type
  Method
  Description
  `default LongPredicate`
  LongPredicate.`and(LongPredicate other)`
  Returns a composed predicate that represents a short-circuiting logical AND of this predicate and another.
  `default LongPredicate`
  LongPredicate.`or(LongPredicate other)`
  Returns a composed predicate that represents a short-circuiting logical OR of this predicate and another.

- ## Uses of LongPredicate in java.util.stream

  Methods in java.util.stream with parameters of type LongPredicate
  Modifier and Type
  Method
  Description
  `boolean`
  LongStream.`allMatch(LongPredicate predicate)`
  Returns whether all elements of this stream match the provided predicate.
  `boolean`
  LongStream.`anyMatch(LongPredicate predicate)`
  Returns whether any elements of this stream match the provided predicate.
  `default LongStream`
  LongStream.`dropWhile(LongPredicate predicate)`
  Returns, if this stream is ordered, a stream consisting of the remaining elements of this stream after dropping the longest prefix of elements that match the given predicate.
  `LongStream`
  LongStream.`filter(LongPredicate predicate)`
  Returns a stream consisting of the elements of this stream that match the given predicate.
  `static LongStream`
  LongStream.`iterate(long seed, LongPredicate hasNext, LongUnaryOperator next)`
  Returns a sequential ordered `LongStream` produced by iterative application of the given `next` function to an initial element, conditioned on satisfying the given `hasNext` predicate.
  `boolean`
  LongStream.`noneMatch(LongPredicate predicate)`
  Returns whether no elements of this stream match the provided predicate.
  `default LongStream`
  LongStream.`takeWhile(LongPredicate predicate)`
  Returns, if this stream is ordered, a stream consisting of the longest prefix of elements taken from this stream that match the given predicate.